## net.sourceforge.pmd.cpd
Class CPDNullListener

    java.lang.Object
      net.sourceforge.pmd.cpd.CPDNullListener

All Implemented Interfaces:
  CPDListener

public class CPDNullListener
extends java.lang.Object
implements CPDListener

Field Summary

Fields inherited from interface net.sourceforge.pmd.cpd.CPDListener
`DONE, GROUPING, HASH, INIT, MATCH`

Constructor Summary
`CPDNullListener()`

Method Summary
`void` `addedFile(int fileCount, java.io.File file)`
`void` `phaseUpdate(int phase)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CPDNullListener

    public CPDNullListener()

Method Detail

### addedFile

    public void addedFile(int fileCount,
                          java.io.File file)

  Specified by:
    `addedFile` in interface `CPDListener`

### phaseUpdate

    public void phaseUpdate(int phase)

  Specified by:
    `phaseUpdate` in interface `CPDListener`

Copyright © 2002-2006 InfoEther. All Rights Reserved.